Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_PBE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pInitVector
CK_UTF8CHAR_PTR | pPassword
CK_BYTE_PTR | pSalt
CK_ULONG | ulIteration
CK_ULONG | ulPasswordLen
CK_ULONG | ulSaltLen

## Detailed Description

Definition at line 1555 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_PBE_PARAMS::pInitVector

Definition at line 1556 of file pkcs11t.h.

CK_UTF8CHAR_PTR CK_PBE_PARAMS::pPassword

Definition at line 1557 of file pkcs11t.h.

CK_BYTE_PTR CK_PBE_PARAMS::pSalt

Definition at line 1559 of file pkcs11t.h.

CK_ULONG CK_PBE_PARAMS::ulIteration

Definition at line 1561 of file pkcs11t.h.

CK_ULONG CK_PBE_PARAMS::ulPasswordLen

Definition at line 1558 of file pkcs11t.h.

CK_ULONG CK_PBE_PARAMS::ulSaltLen

Definition at line 1560 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h